%define underscore_version 2_5_3

Name:           tinyxml
Version:        2.5.3
Release:        1
Summary:        A simple, small, C++ XML parser
Group:          System Environment/Libraries
License:        zlib
URL:            http://www.grinninglizard.com/tinyxml/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}_%{underscore_version}.tar.gz
Patch0:         tinyxml-2.5.3-stl.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  gcc-c++ >= 4.2.3-2, patch, make
Requires:       libgcc >= 4.2.3-2

%description
TinyXML is a simple, small, C++ XML parser that can be easily integrating
into other programs. Have you ever found yourself writing a text file parser
every time you needed to save human readable data or serialize objects?
TinyXML solves the text I/O file once and for all.
(Or, as a friend said, ends the Just Another Text File Parser problem.)


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q -n %{name}
%patch0 -p1 -b .stl
touch -r tinyxml.h.stl tinyxml.h


%build
export DEBUG=NO

# first build the 64-bit library
export OBJECT_MODE=64

for f in `ls -1 *.cpp | grep -v xmltest.cpp` ; do
    gmake CXX="g++ -maix64" `basename ${f} .cpp`.o
done

g++ -maix64 -O2 -shared -o lib%{name}.so.0 *.o
/usr/bin/ar -r lib%{name}.a lib%{name}.so.0

gmake clean

# now build the 32-bit library
export OBJECT_MODE=32

for f in `ls -1 *.cpp | grep -v xmltest.cpp` ; do
    gmake CXX="g++ -maix32" `basename ${f} .cpp`.o
done

g++ -maix32 -O2 -shared -o lib%{name}.so.0 *.o
/usr/bin/ar -q lib%{name}.a lib%{name}.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

# Not really designed to be build as lib
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}

cp lib%{name}.a ${RPM_BUILD_ROOT}%{_libdir}
chmod 0755 ${RPM_BUILD_ROOT}%{_libdir}/*

cp %{name}.h ${RPM_BUILD_ROOT}%{_includedir}
chmod 0644 ${RPM_BUILD_ROOT}%{_includedir}/*

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc changes.txt readme.txt
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%doc docs/*
%{_includedir}/*
/usr/include/*


%changelog
* Thu Apr 22 2010 Michael Perzl <michael@perzl.org> - 2.5.3-1
- first version for AIX V5.1 and higher
